Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergeDataObjectFilter Class Reference

`#include <vtkMergeDataObjectFilter.h>`

Inheritance diagram for vtkMergeDataObjectFilter:

[legend]
Collaboration diagram for vtkMergeDataObjectFilter:

[legend]
List of all members.

## Detailed Description

merge dataset and data object field to create dataset with attribute data

Date:
  2002/11/03 22:51:55

Revision:
  1.18

vtkMergeDataObjectFilter is a filter that merges the field from a vtkDataObject with a vtkDataSet. The resulting combined dataset can then be processed by other filters (e.g., vtkFieldDataToAttributeDataFilter) to create attribute data like scalars, vectors, etc.

The filter operates as follows. The field data from the vtkDataObject is merged with the input's vtkDataSet and then placed in the output. You can choose to place the field data into the cell data field, the point data field, or the datasets field (i.e., the one inherited from vtkDataSet's superclass vtkDataObject). All this data shuffling occurs via reference counting, therefore memory is not copied.

One of the uses of this filter is to allow you to read/generate the structure of a dataset independent of the attributes. So, for example, you could store the dataset geometry/topology in one file, and field data in another. Then use this filter in combination with vtkFieldDataToAttributeData to create a dataset ready for processing in the visualization pipeline.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (71%)
  - Cedilnik, Andy (17%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkMergeDataObjectFilter.h)`
  - .`cxx` (`/Graphics/vtkMergeDataObjectFilter.cxx)`

Definition at line 61 of file vtkMergeDataObjectFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetDataObject (vtkDataObject *object)
vtkDataObject * | GetDataObject ()
virtual void | SetOutputField (int)
virtual int | GetOutputField ()
void | SetOutputFieldToDataObjectField ()
void | SetOutputFieldToPointDataField ()
void | SetOutputFieldToCellDataField ()
## Static Public Methods
vtkMergeDataObjectFilter * | New ()
int | IsTypeOf (const char *type)
vtkMergeDataObjectFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMergeDataObjectFilter ()
| ~vtkMergeDataObjectFilter ()
void | Execute ()
## Protected Attributes
int | OutputField

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkMergeDataObjectFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 65 of file vtkMergeDataObjectFilter.h.

## Constructor & Destructor Documentation

vtkMergeDataObjectFilter::vtkMergeDataObjectFilter | ( |  | ) | `[protected]`

vtkMergeDataObjectFilter::~vtkMergeDataObjectFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMergeDataObjectFilter* vtkMergeDataObjectFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMergeDataObjectFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkMergeDataObjectFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkMergeDataObjectFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkMergeDataObjectFilter* vtkMergeDataObjectFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkMergeDataObjectFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkMergeDataObjectFilter::SetDataObject | ( | vtkDataObject * | object | ) |

| Specify the data object to merge with the input dataset.

vtkDataObject* vtkMergeDataObjectFilter::GetDataObject | ( |  | ) |

| Specify the data object to merge with the input dataset.

virtual void vtkMergeDataObjectFilter::SetOutputField | ( | int |  | ) | `[virtual]`

| Specify where to place the field data during the merge process. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

virtual int vtkMergeDataObjectFilter::GetOutputField | ( |  | ) | `[virtual]`

| Specify where to place the field data during the merge process. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

void vtkMergeDataObjectFilter::SetOutputFieldToDataObjectField | ( |  | ) |

| Specify where to place the field data during the merge process. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

void vtkMergeDataObjectFilter::SetOutputFieldToPointDataField | ( |  | ) |

| Specify where to place the field data during the merge process. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

void vtkMergeDataObjectFilter::SetOutputFieldToCellDataField | ( |  | ) |

| Specify where to place the field data during the merge process. There are three choices: the field data associated with the vtkDataObject superclass; the point field attribute data; and the cell field attribute data.

void vtkMergeDataObjectFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkMergeDataObjectFilter::OutputField`[protected]`

| Definition at line 93 of file vtkMergeDataObjectFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMergeDataObjectFilter.h